---
eip: 1013
title: "Hardfork Meta: Constantinople"
author: Nick Savers (@nicksavers)
type: Meta
status: Final
created: 2018-04-20
requires: 145, 609, 1014, 1052, 1234, 1283
---

## Abstract

This meta-EIP specifies the changes included in the Ethereum hardfork named Constantinople.

## Specification

- Codename: Constantinople
- Aliases: Metropolis/Constantinople, Metropolis part 2
- Activation:
  - `Block >= 7_280_000` on the Ethereum Mainnet
  - `Block >= 4,230,000` on the Ropsten testnet
  - `Block >= 9_200_000` on the Kovan testnet
  - `Block >= 3_660_663` on the Rinkeby testnet
- Included EIPs:
  - [EIP-145](./eip-145.md): Bitwise shifting instructions in EVM
  - [EIP-1014](./eip-1014.md): Skinny CREATE2
  - [EIP-1052](./eip-1052.md): EXTCODEHASH Opcode
  - [EIP-1234](./eip-1234.md): Delay difficulty bomb, adjust block reward
  - [EIP-1283](./eip-1283.md): Net gas metering for SSTORE without dirty maps

## References

1. The list above includes the EIPs discussed as candidates for Constantinople at the All Core Dev [Constantinople Session #1](https://github.com/ethereum/pm/issues/55). See also [Constantinople Progress Tracker](https://github.com/ethereum/pm/wiki/Constantinople-Progress-Tracker).
2. https://blog.ethereum.org/2019/02/22/ethereum-constantinople-st-petersburg-upgrade-announcement/

## Copyright

Copyright and related rights waived via [CC0](../LICENSE.md).
