---
eip: 141
title: Designated invalid EVM instruction
author: Alex Beregszaszi (@axic)
type: Standards Track
category: Core
status: Final
created: 2017-02-09
---

## Abstract

An instruction is designated to remain as an invalid instruction.

## Motivation

The invalid instruction can be used as a distinct reason to abort execution.

## Specification

The opcode `0xfe` is the `INVALID` instruction. It can be used to abort the execution (i.e. duplicates as an `ABORT` instruction).

## Backwards Compatibility

This instruction was never used and therefore has no effect on past contracts.

## Copyright

Copyright and related rights waived via [CC0](../LICENSE.md).
