---
eip: 1679
title: "Hardfork Meta: Istanbul"
author: Alex Beregszaszi (@axic), Afri Schoedon (@5chdn)
discussions-to: https://ethereum-magicians.org/t/hardfork-meta-istanbul-discussion/3207
type: Meta
status: Final
created: 2019-01-04
requires: 152, 1108, 1344, 1716, 1884, 2028, 2200
---

## Abstract

This meta-EIP specifies the changes included in the Ethereum hardfork named Istanbul.

## Specification

- Codename: Istanbul

### Activation
  - `Block >= 9,069,000` on the Ethereum Mainnet
  - `Block >= 6,485,846` on the Ropsten testnet
  - `Block >= 14,111,141` on the Kovan testnet
  - `Block >= 5,435,345` on the Rinkeby testnet
  - `Block >= 1,561,651` on the Görli testnet

### Included EIPs
  - [EIP-152](./eip-152.md): Add Blake2 compression function `F` precompile
  - [EIP-1108](./eip-1108.md): Reduce alt_bn128 precompile gas costs
  - [EIP-1344](./eip-1344.md): Add ChainID opcode
  - [EIP-1884](./eip-1884.md): Repricing for trie-size-dependent opcodes
  - [EIP-2028](./eip-2028.md): Calldata gas cost reduction
  - [EIP-2200](./eip-2200.md): Rebalance net-metered SSTORE gas cost with consideration of SLOAD gas cost change

## References

1. Included EIPs were finalized in [All Core Devs Call #68](https://github.com/ethereum/pm/blob/master/All%20Core%20Devs%20Meetings/Meeting%2068.md)
2. https://medium.com/ethereum-cat-herders/istanbul-testnets-are-coming-53973bcea7df

## Copyright

Copyright and related rights waived via [CC0](../LICENSE.md).
