---
eip: 1803
title: Rename opcodes for clarity
author: Alex Beregszaszi (@axic)
discussions-to: https://ethereum-magicians.org/t/eip-1803-rename-opcodes-for-clarity/3345
type: Standards Track
category: Interface
status: Stagnant
created: 2017-07-28
requires: 141
---

## Abstract

Rename the `BALANCE`, `SHA3`, `NUMBER`, `GASLIMIT`, `GAS` and `INVALID` opcodes to reflect their true meaning.

## Specification

Rename the opcodes as follows:
- `BALANCE` (`0x31`) to `EXTBALANCE` to be in line with `EXTCODESIZE`, `EXTCODECOPY` and `EXTCODEHASH`
- `SHA3` (`0x20`) to `KECCAK256`
- `NUMBER` (`0x43`) to `BLOCKNUMBER`
- `GASLIMIT` (`0x45`) to `BLOCKGASLIMIT` to avoid confusion with the gas limit of the transaction
- `GAS` (`0x5a`) to `GASLEFT` to be clear what it refers to
- `INVALID` (`0xfe`) to `ABORT` to clearly articulate when someone refers this opcode as opposed to "any invalid opcode"

## Backwards Compatibility

This has no effect on any code. It can influence what mnemonics assemblers will use.

## Implementation

Not applicable.

## References

[EIP-6](./eip-6.md) previously renamed `SUICIDE` (`0xff`) to `SELFDESTRUCT`.
Renaming `SHA3` was previously proposed by [EIP-59](https://github.com/ethereum/EIPs/issues/59).

## Copyright

Copyright and related rights waived via [CC0](../LICENSE.md).
