---
eip: 2657
title: Ephemeral Testnet Yolo
author: James Hancock (@madeoftin)
discussions-to: https://gitter.im/ethereum/AllCoreDevs
status: Stagnant
type: Meta
created: 2020-04-19
---

**Disclaimer: This is for testing basic infrastructure. It will be nuked. It is not for deploying dapps, nor does it define what will go into mainnet. For information on network upgrades, please follow the relevant meta EIPs and ongoing discussion on Ethereum/pm.**

## Abstract

The specification for Ephemeral Testnet Yolo. Clients who wish to sync need to implement the following features into their client. It is for testing basic infrastructure and will be nuked.

## Specification 

Name: Yolo
ID: `YOLO-v1`

  - [x] EIP 2537 Commit Hash - [5edff4ae6ff62c7e0bbfad624fc3d0ba7dc84392](https://github.com/ethereum/EIPs/commit/5edff4ae6ff62c7e0bbfad624fc3d0ba7dc84392)
  - [x] EIP 2315 Commit Hash - [e8accf22cdc5562d6982c560080c6cd6b7f94867](https://github.com/ethereum/EIPs/commit/e8accf22cdc5562d6982c560080c6cd6b7f94867)

*[ ] Proposed - [x] Consensus to include.*
## Timeline

 - Deployed: June 3rd 2020
 
## Client Consensus -> Implementation 

YOLO-v1
| **Client**   | Signal | Spec | Merged | Syncing |
|--------------|--------|------|--------|---------|
| Besu         | x      | x    |        |         |
| EthereumJS   | x      |      |        |         |
| Geth         | x      | x    | x      | x       |
| Nethermind   | x      | x    |        |         |
| OpenEthereum | x      | x    |        |         |
| Trinity      |        |      |        |         |

**Signal** -
Client intends to participate. *(You are on the bus)*

**Spec** -
Client is satisfied with the proposed specification. *(You agree with the direction)*

**Merge** -
Changes are implemented in the client and configurable for YOLO. *(You are ready to hit the gas and go)*

**Syncing**
Client syncs with the network


## Syncing Instructions

**Geth**
- Yolo V1 testnet is up and running https://yolonet.xyz/
- Support is baked into Geth master branch via --yolov1
- Genesis config json is at https://yolonet.xyz/yolo.json
- EF bootnode at enode://9e1096aa59862a6f164994cb5cb16f5124d6c992cdbf4535ff7dea43ea1512afe5448dca9df1b7ab0726129603f1a3336b631e4d7a1a44c94daddd03241587f9@35.178.210.161:30303
- Stats page secret is YOLOv1, with geth you can --ethstats='yournode:YOLOv1@stats.yolonet.xyz'
- Faucet is unauthenticated, you can reach it from the dashboard

## Copyright
Copyright and related rights waived via [CC0](../LICENSE.md).
