---
eip: 3091
title: Block Explorer API Routes
author: Pedro Gomes (@pedrouid)
discussions-to: https://ethereum-magicians.org/t/eip-3091-block-explorer-api-routes/4907
status: Stagnant
type: Standards Track
category: Interface
created: 2020-11-02
---

## Simple Summary
Standard API Routes for Blockchain explorers

## Abstract
This proposal brings standardization between block explorers API routes when linking transactions, blocks, accounts and tokens. 

## Motivation
Currently wallets will link transactions and accounts to block explorers web pages but as chain diversity and layer two solutions grow it becomes harder to maintain a consistent user experience. Adding new chains or layer two solutions becomes harder given these endpoints are inconsistent. Standardizing the API routes to these links improves interoperability between wallets and block explorers. This EIP makes RPC endpoints like [EIP-2015](./eip-2015.md) more feasible.

## Specification
Block explorers will route their webpages accordingly for the following data:

### Blocks
`<BLOCK_EXPORER_URL>/block/<BLOCK_HASH_OR_HEIGHT>`

### Transactions
`<BLOCK_EXPORER_URL>/tx/<TX_HASH>`

### Accounts
`<BLOCK_EXPORER_URL>/address/<ACCOUNT_ADDRESS>`

### ERC-20 Tokens
`<BLOCK_EXPORER_URL>/token/<TOKEN_ADDRESS>`

## Backward Compatibility
This EIP was designed with existing API routes in mind to reduce disruption. Incompatible block explorers should include either 301 redirects to their existing API routes to match this EIP.

## Security Considerations
TBD

## Copyright
Copyright and related rights waived via [CC0](../LICENSE.md).
