---
eip: 5069
title: EIP Editor Handbook
description: Handy reference for EIP editors and those who want to become one
author: Pooja Ranjan (@poojaranjan), Gavin John (@Pandapip1)
discussions-to: https://ethereum-magicians.org/t/pr-5069-eip-editor-handbook/9137
status: Living
type: Informational
created: 2022-05-02
requires: 1
---

## Abstract

An Ethereum Improvement Proposal (EIP) is a design document providing information to the Ethereum community, or describing a new feature for Ethereum or its processes or environment. The EIP standardization process is a mechanism for proposing new features, for collecting community technical input on an issue, and for documenting the design decisions that have gone into Ethereum. Because improvement proposals are key components of Ethereum blockchain, it is important that they are well reviewed before reaching `Final` status. EIPs are stored in text files in a versioned repository which is monitored by the EIP editors.

This EIP describes the recommended process for becoming an EIP editor.

## Specification

### Application and Onboarding Process

Anyone having a good understanding of the EIP standardization and network upgrade process, intermediate level experience on the core and/or application side of the Ethereum blockchain, and willingness to contribute to the process management may apply to become an EIP editor. Potential EIP editors should have the following skills:

- Good communication skills
- Ability to handle contentious discourse
- 1-5 spare hours per week

The best available resource to understand the EIP process is [EIP-1](./eip-1.md). Anyone desirous of becoming an EIP editor MUST understand this document. Afterwards, participating in the EIP process by commenting on and suggesting improvements to PRs and issues will familliarize the procedure, and is recommended. The contributions of newer editors should be monitored by other EIP editors.

Anyone meeting the above requirements may make a pull request adding themselves as an EIP editor and adding themselves to the editor list at `config/eip-editors.yml` and in [EIP-1](./eip-1.md). If every existing EIP editor approves, the author becomes a full EIP editor. This should notify the editor of relevant new proposals submitted in the EIPs repository, and they should review and merge those pull requests.

### Special Merging Rules for this EIP

This EIP MUST have the same rules regarding changes as [EIP-1](./eip-1.md).

## Rationale

- "6 months" was chosen as the cutoff for denoting `Stagnant` EIPs terminally-`Stagnant` arbitrarily.
- This EIP requires special merging rules for the same reason [EIP-1](./eip-1.md) does.

## Copyright

Copyright and related rights waived via [CC0](../LICENSE.md).
