---
eip: 6049
title: Deprecate SELFDESTRUCT
description: Deprecate SELFDESTRUCT by discouraging its use and warning about a potential future behavior change.
author: William Entriken (@fulldecent)
discussions-to: https://ethereum-magicians.org/t/deprecate-selfdestruct/11907
status: Final
type: Meta
created: 2022-11-27
---

## Abstract

This EIP deprecates the `SELFDESTRUCT` opcode and warns against its use. A breaking change to this functionality is likely to come in the future.

## Motivation

Discussions about how to change `SELFDESTRUCT` are ongoing. But there is a strong consensus that *something* will change.

## Specification

Documentation of the `SELFDESTRUCT` opcode is updated to warn against its use and to note that a breaking change may be forthcoming.

## Rationale

As time goes on, the cost of doing something increases, because any change to `SELFDESTRUCT` will be a breaking change.

The Ethereum Blog and other official sources have not provided any warning to developers about a potential forthcoming change.

## Backwards Compatibility

This EIP updates non-normative text in the Yellow Paper. No changes to clients is applicable.

## Security Considerations

None.

## Copyright

Copyright and related rights waived via [CC0](../LICENSE.md).
